CobolProgramNotFoundException (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.CobolProgramNotFoundException class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol
Class CobolProgramNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.microfocus.cobol.CobolException
                  com.microfocus.cobol.CobolProgramNotFoundException

All Implemented Interfaces:
  Serializable

public class CobolProgramNotFoundException
extends CobolException

This exception is thrown when a COBOL can not be found

Copyright: Copyright (c) 2002-2003
Company: Micro Focus International Ltd

Since:
  Net Express 4.0, Server Express 4.0
Version:
  3.4, 2/4/03
See Also:
  Serialized Form

Constructor Summary
`CobolProgramNotFoundException(String programNotFound)` Construct a CobolProgramNotFoundException(name) with a specific name

Method Summary
`String` | `getProgramNotFound()` returns the name of the program not found

Methods inherited from class com.microfocus.cobol.CobolException
`getCause, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CobolProgramNotFoundException

    public CobolProgramNotFoundException(String programNotFound)

  Construct a CobolProgramNotFoundException(name) with a specific name

Parameters:
  `programNotFound` - name of cobol program

Method Detail

### getProgramNotFound

    public String getProgramNotFound()

  returns the name of the program not found

  Returns:
    a string

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.